LR / Mac OS problems

New Here ,
Mar 17, 2021 Mar 17, 2021

Copy link to clipboard

Copied

I'll try and avoid an essay, but cannot get any of Adobe CC to install on my iMac ( just had new SSD) "Not compatible"..running El Capitan 10.11.6  . NOTE I am running the same OS on my laptop and it works fine with same OS. Been on the phone to Apple and 3 HOURS remote access to my iMAc by Adobe who can't resolve this! Any help appreciated. Thanks Richard  ( Oh..can't get hold of Adobe at all today)

 

TOPICS
Download and install, Mac, Problem or error

Views

23

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 17, 2021 Mar 17, 2021

Copy link to clipboard

Copied

The latest versions are indeed not compatible with MacOS El Capitan. You need to install a previous version by clicking on the three dots next to the install button.

 

-- Johan W. Elzenga

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 17, 2021 Mar 17, 2021

Copy link to clipboard

Copied

All current versions require Mojave, Catalina or Big Sur.

 

Earlier versions are not available from Adobe through Creative Cloud, but installers may still be available here:

https://prodesigntools.com 

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines